package cn.com.qmth.examcloud.bridge;

import cn.com.qmth.examcloud.web.bootstrap.AppBootstrap;
import cn.com.qmth.examcloud.web.support.SpringContextHolder;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

/**
 * 启动类
 *
 * @author WANGWEI
 * @date 2019年10月12日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Configuration
@ComponentScan(basePackages = {"cn.com.qmth"})
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
public class BridgeApp {

    static {
        String runtimeLevel = System.getProperty("log.commonLevel");
        if (null == runtimeLevel) {
            System.setProperty("log.commonLevel", "INFO");
        }
    }

    /**
     * main
     *
     * @param args
     * @author WANGWEI
     */
    public static void main(String[] args) {

        AppBootstrap.run(BridgeApp.class, args);

        test();
    }

    /**
     * 测试方法
     *
     * @author WANGWEI
     */
    private static void test() {
        Tester tester = SpringContextHolder.getBean(Tester.class);
        tester.test();
    }

}
